Kea: isc::dhcp::ConfigBackendPoolDHCPv6 Class Reference

| Kea 3.2.0-git

isc::dhcp::ConfigBackendPoolDHCPv6 Class Reference

Implementation of the Configuration Backend Pool for DHCPv6. More...

`#include <config_backend_pool_dhcp6.h>`

Inheritance diagram for isc::dhcp::ConfigBackendPoolDHCPv6:
[legend]

## Public Member Functions
virtual void | createUpdateClientClass6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const ClientClassDefPtr &client_class, const std::string &follow_class_name)
| Creates or updates DHCPv6 client class.
virtual void | createUpdateGlobalParameter6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const data::StampedValuePtr &value)
| Creates or updates global string parameter.
virtual void | createUpdateOption6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const asiolink::IOAddress &pd_pool_prefix, const uint8_t pd_pool_prefix_length, const OptionDescriptorPtr &option)
| Creates or updates prefix delegation pool level option.
virtual void | createUpdateOption6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const asiolink::IOAddress &pool_start_address, const asiolink::IOAddress &pool_end_address, const OptionDescriptorPtr &option)
| Creates or updates pool level option.
virtual void | createUpdateOption6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const OptionDescriptorPtr &option)
| Creates or updates global option.
virtual void | createUpdateOption6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const std::string &shared_network_name, const OptionDescriptorPtr &option)
| Creates or updates shared network level option.
virtual void | createUpdateOption6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const SubnetID &subnet_id, const OptionDescriptorPtr &option)
| Creates or updates subnet level option.
virtual void | createUpdateOptionDef6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const OptionDefinitionPtr &option_def)
| Creates or updates an option definition.
virtual void | createUpdateServer6 (const db::BackendSelector &backend_selector, const db::ServerPtr &server)
| Creates or updates a server.
virtual void | createUpdateSharedNetwork6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const SharedNetwork6Ptr &shared_network)
| Creates or updates a shared network.
virtual void | createUpdateSubnet6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const Subnet6Ptr &subnet)
| Creates or updates a subnet.
virtual uint64_t | deleteAllClientClasses6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector)
| Deletes all client classes.
virtual uint64_t | deleteAllGlobalParameters6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector)
| Deletes all global parameters.
virtual uint64_t | deleteAllOptionDefs6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector)
| Deletes all option definitions.
virtual uint64_t | deleteAllServers6 (const db::BackendSelector &backend_selector)
| Deletes all servers from the backend except the logical server 'all'.
virtual uint64_t | deleteAllSharedNetworks6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector)
| Deletes all shared networks.
virtual uint64_t | deleteAllSubnets6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector)
| Deletes all subnets.
virtual uint64_t | deleteClientClass6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const std::string &name)
| Deletes DHCPv6 client class.
virtual uint64_t | deleteGlobalParameter6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const std::string &name)
| Deletes global parameter.
virtual uint64_t | deleteOption6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const asiolink::IOAddress &pd_pool_prefix, const uint8_t pd_pool_prefix_length, const uint16_t code, const std::string &space, const ClientClassesPtr client_classes=ClientClassesPtr())
| Deletes prefix delegation pool level option.
virtual uint64_t | deleteOption6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const asiolink::IOAddress &pool_start_address, const asiolink::IOAddress &pool_end_address, const uint16_t code, const std::string &space, const ClientClassesPtr client_classes=ClientClassesPtr())
| Deletes pool level option.
virtual uint64_t | deleteOption6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const std::string &shared_network_name, const uint16_t code, const std::string &space, const ClientClassesPtr client_classes=ClientClassesPtr())
| Deletes shared network level option.
virtual uint64_t | deleteOption6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const SubnetID &subnet_id, const uint16_t code, const std::string &space, const ClientClassesPtr client_classes=ClientClassesPtr())
| Deletes subnet level option.
virtual uint64_t | deleteOption6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const uint16_t code, const std::string &space, const ClientClassesPtr client_classes=ClientClassesPtr())
| Deletes global option.
virtual uint64_t | deleteOptionDef6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const uint16_t code, const std::string &space, bool force=false)
| Deletes option definition.
virtual uint64_t | deleteServer6 (const db::BackendSelector &backend_selector, const data::ServerTag &server_tag)
| Deletes a server from the backend.
virtual uint64_t | deleteSharedNetwork6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const std::string &name)
| Deletes shared network by name.
virtual uint64_t | deleteSharedNetworkSubnets6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const std::string &shared_network_name)
| Deletes all subnets belonging to a specified shared network.
virtual uint64_t | deleteSubnet6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const std::string &subnet_prefix)
| Deletes subnet by prefix.
virtual uint64_t | deleteSubnet6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const SubnetID &subnet_id)
| Deletes subnet by identifier.
virtual ClientClassDictionary | getAllClientClasses6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector) const
| Retrieves all client classes.
virtual data::StampedValueCollection | getAllGlobalParameters6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector) const
| Retrieves all global parameters.
virtual OptionDefContainer | getAllOptionDefs6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector) const
| Retrieves all option definitions.
virtual OptionContainer | getAllOptions6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector) const
| Retrieves all global options.
virtual db::ServerCollection | getAllServers6 (const db::BackendSelector &backend_selector) const
| Retrieves all servers from the particular backend.
virtual SharedNetwork6Collection | getAllSharedNetworks6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector) const
| Retrieves all shared networks.
virtual Subnet6Collection | getAllSubnets6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector) const
| Retrieves all subnets.
virtual ClientClassDefPtr | getClientClass6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const std::string &name) const
| Retrieves a client class by name.
virtual data::StampedValuePtr | getGlobalParameter6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const std::string &name) const
| Retrieves global parameter value.
virtual ClientClassDictionary | getModifiedClientClasses6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const boost::posix_time::ptime &modification_time) const
| Retrieves client classes modified after specified time.
virtual data::StampedValueCollection | getModifiedGlobalParameters6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const boost::posix_time::ptime &modification_time) const
| Retrieves global parameters modified after specified time.
virtual OptionDefContainer | getModifiedOptionDefs6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const boost::posix_time::ptime &modification_time) const
| Retrieves option definitions modified after specified time.
virtual OptionContainer | getModifiedOptions6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const boost::posix_time::ptime &modification_time) const
| Retrieves option modified after specified time.
virtual SharedNetwork6Collection | getModifiedSharedNetworks6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const boost::posix_time::ptime &modification_time) const
| Retrieves shared networks modified after specified time.
virtual Subnet6Collection | getModifiedSubnets6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const boost::posix_time::ptime &modification_time) const
| Retrieves subnets modified after specified time.
virtual OptionDescriptorPtr | getOption6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const uint16_t code, const std::string &space, const ClientClassesPtr client_classes=ClientClassesPtr()) const
| Retrieves single option by code and space.
virtual OptionDefinitionPtr | getOptionDef6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const uint16_t code, const std::string &space) const
| Retrieves single option definition by code and space.
virtual db::AuditEntryCollection | getRecentAuditEntries (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const boost::posix_time::ptime &modification_time, const uint64_t &modification_id) const
| Retrieves the most recent audit entries.
virtual db::ServerPtr | getServer6 (const db::BackendSelector &backend_selector, const data::ServerTag &server_tag) const
| Retrieves a server from the particular backend.
virtual SharedNetwork6Ptr | getSharedNetwork6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const std::string &name) const
| Retrieves shared network by name.
virtual Subnet6Collection | getSharedNetworkSubnets6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const std::string &shared_network_name) const
| Retrieves all subnets belonging to a specified shared network.
virtual Subnet6Ptr | getSubnet6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const std::string &subnet_prefix) const
| Retrieves a single subnet by subnet_prefix.
virtual Subnet6Ptr | getSubnet6 (const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, const SubnetID &subnet_id) const
| Retrieves a single subnet by subnet identifier.
Public Member Functions inherited from isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >
virtual | ~BaseConfigBackendPool ()
| Virtual destructor.
void | addBackend (ConfigBackendTypePtr backend)
| Adds a backend to the pool.
bool | del (const std::string &db_type, const std::string &dbaccess, bool if_unusable)
| Deletes all backends of the given type from the pool.
void | delAllBackends ()
| Deletes all backends from the pool.

## Additional Inherited Members
Public Types inherited from isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >
typedef boost::shared_ptr< ConfigBackendDHCPv6 > | ConfigBackendTypePtr
| Shared pointer to the Configuration Backend used.
Protected Member Functions inherited from isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >
ReturnValue | createUpdateDeleteBackendProperty (ReturnValue(ConfigBackendDHCPv6::*MethodPointer)(FnPtrArgs...), const db::BackendSelector &backend_selector, Args... input)
| Add, update or delete property from the backend.
ReturnValue | createUpdateDeleteProperty (ReturnValue(ConfigBackendDHCPv6::*MethodPointer)(const db::ServerSelector &, FnPtrArgs...), const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, Args... input)
| Add, update or delete property from the backend.
void | getAllBackendPropertiesConst (PropertyCollectionType(ConfigBackendDHCPv6::*MethodPointer)() const, const db::BackendSelector &backend_selector, PropertyCollectionType &properties) const
| Get all configuration properties from the backend.
void | getAllPropertiesConst (PropertyCollectionType(ConfigBackendDHCPv6::*MethodPointer)(const db::ServerSelector &) const, const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, PropertyCollectionType &properties) const
| Retrieve all configuration properties from the pool.
void | getBackendPropertyPtrConst (PropertyType(ConfigBackendDHCPv6::*MethodPointer)(FnPtrArgs...) const, const db::BackendSelector &backend_selector, PropertyType &property, Args... input) const
| Retrieve a single configuration property from the backend.
void | getMultiplePropertiesConst (PropertyCollectionType(ConfigBackendDHCPv6::*MethodPointer)(const db::ServerSelector &, FnPtrArgs...) const, const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, PropertyCollectionType &properties, Args... input) const
| Retrieve multiple configuration properties from the pool.
void | getPropertyPtrConst (PropertyType(ConfigBackendDHCPv6::*MethodPointer)(const db::ServerSelector &, FnPtrArgs...) const, const db::BackendSelector &backend_selector, const db::ServerSelector &server_selector, PropertyType &property, Args... input) const
| Retrieve a single configuration property from the pool.
std::list< ConfigBackendTypePtr > | selectBackends (const db::BackendSelector &backend_selector) const
| Selects existing backends matching the selector.
Protected Attributes inherited from isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >
std::list< ConfigBackendTypePtr > | backends_
| Holds configuration backends belonging to the pool.

## Detailed Description

Implementation of the Configuration Backend Pool for DHCPv6.

All POSIX times specified in the methods belonging to this class must be local times.

Definition at line 32 of file config_backend_pool_dhcp6.h.

## Member Function Documentation

## ◆ createUpdateClientClass6()

void isc::dhcp::ConfigBackendPoolDHCPv6::createUpdateClientClass6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const ClientClassDefPtr & | client_class,
|  | const std::string & | follow_class_name )
| virtual

Creates or updates DHCPv6 client class.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  client_class | Client class to be added or updated.
  follow_class_name | name of the class after which the new or updated class should be positioned. An empty value causes the class to be appended at the end of the class hierarchy.

Definition at line 359 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::createUpdateClientClass6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty().

Here is the call graph for this function:

## ◆ createUpdateGlobalParameter6()

void isc::dhcp::ConfigBackendPoolDHCPv6::createUpdateGlobalParameter6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const data::StampedValuePtr & | value )
| virtual

Creates or updates global string parameter.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  value | Value of the global parameter.

Definition at line 350 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::createUpdateGlobalParameter6().

Here is the call graph for this function:

## ◆ createUpdateOption6() [1/5]

void isc::dhcp::ConfigBackendPoolDHCPv6::createUpdateOption6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const asiolink::IOAddress & | pd_pool_prefix,
|  | const uint8_t | pd_pool_prefix_length,
|  | const OptionDescriptorPtr & | option )
| virtual

Creates or updates prefix delegation pool level option.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  pd_pool_prefix | Address part of the prefix of the prefix delegation pool to which the option belongs.
  pd_pool_prefix_length | Prefix length of the prefix delegation pool to which the option belongs.
  option | Option to be added or updated.

Definition at line 338 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::createUpdateOption6().

Here is the call graph for this function:

## ◆ createUpdateOption6() [2/5]

void isc::dhcp::ConfigBackendPoolDHCPv6::createUpdateOption6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const asiolink::IOAddress & | pool_start_address,
|  | const asiolink::IOAddress & | pool_end_address,
|  | const OptionDescriptorPtr & | option )
| virtual

Creates or updates pool level option.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  pool_start_address | Lower bound address of the pool to which the option belongs.
  pool_end_address | Upper bound address of the pool to which the option belongs.
  option | Option to be added or updated.

Definition at line 326 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::createUpdateOption6().

Here is the call graph for this function:

## ◆ createUpdateOption6() [3/5]

void isc::dhcp::ConfigBackendPoolDHCPv6::createUpdateOption6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const OptionDescriptorPtr & | option )
| virtual

Creates or updates global option.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  option | Option to be added or updated.

Definition at line 296 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::createUpdateOption6().

Here is the call graph for this function:

## ◆ createUpdateOption6() [4/5]

void isc::dhcp::ConfigBackendPoolDHCPv6::createUpdateOption6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const std::string & | shared_network_name,
|  | const OptionDescriptorPtr & | option )
| virtual

Creates or updates shared network level option.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  shared_network_name | Name of a shared network to which option belongs.
  option | Option to be added or updated.

Definition at line 305 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::createUpdateOption6().

Here is the call graph for this function:

## ◆ createUpdateOption6() [5/5]

void isc::dhcp::ConfigBackendPoolDHCPv6::createUpdateOption6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const SubnetID & | subnet_id,
|  | const OptionDescriptorPtr & | option )
| virtual

Creates or updates subnet level option.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  subnet_id | Identifier of a subnet to which option belongs.
  option | Option to be added or updated.

Definition at line 316 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::createUpdateOption6().

Here is the call graph for this function:

## ◆ createUpdateOptionDef6()

void isc::dhcp::ConfigBackendPoolDHCPv6::createUpdateOptionDef6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const OptionDefinitionPtr & | option_def )
| virtual

Creates or updates an option definition.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  option_def | Option definition to be added or updated.

Definition at line 287 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::createUpdateOptionDef6().

Here is the call graph for this function:

## ◆ createUpdateServer6()

void isc::dhcp::ConfigBackendPoolDHCPv6::createUpdateServer6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerPtr & | server )
| virtual

Creates or updates a server.

Parameters

  backend_selector | Backend selector.
  server | Instance of the server to be stored.

Definition at line 369 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteBackendProperty(), and isc::dhcp::ConfigBackendDHCPv6::createUpdateServer6().

Here is the call graph for this function:

## ◆ createUpdateSharedNetwork6()

void isc::dhcp::ConfigBackendPoolDHCPv6::createUpdateSharedNetwork6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const SharedNetwork6Ptr & | shared_network )
| virtual

Creates or updates a shared network.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  shared_network | Shared network to be added or updated.

Definition at line 278 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::createUpdateSharedNetwork6().

Here is the call graph for this function:

## ◆ createUpdateSubnet6()

void isc::dhcp::ConfigBackendPoolDHCPv6::createUpdateSubnet6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const Subnet6Ptr & | subnet )
| virtual

Creates or updates a subnet.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  subnet | Subnet to be added or updated.

Definition at line 269 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::createUpdateSubnet6().

Here is the call graph for this function:

## ◆ deleteAllClientClasses6()

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteAllClientClasses6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector )
| virtual

Deletes all client classes.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.

Returns
  Number of deleted client classes.

Definition at line 541 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteAllClientClasses6().

Here is the call graph for this function:

## ◆ deleteAllGlobalParameters6()

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteAllGlobalParameters6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector )
| virtual

Deletes all global parameters.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.

Returns
  Number of deleted global parameters.

Definition at line 524 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteAllGlobalParameters6().

Here is the call graph for this function:

## ◆ deleteAllOptionDefs6()

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteAllOptionDefs6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector )
| virtual

Deletes all option definitions.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.

Returns
  Number of deleted option definitions.

Definition at line 438 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteAllOptionDefs6().

Here is the call graph for this function:

## ◆ deleteAllServers6()

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteAllServers6 | ( | const db::BackendSelector & | backend_selector | ) |
| virtual

Deletes all servers from the backend except the logical server 'all'.

Parameters

  backend_selector | Backend selector.

Returns
  Number of deleted servers.

Definition at line 556 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteBackendProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteAllServers6().

Here is the call graph for this function:

## ◆ deleteAllSharedNetworks6()

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteAllSharedNetworks6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector )
| virtual

Deletes all shared networks.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.

Returns
  Number of deleted shared networks.

Definition at line 420 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteAllSharedNetworks6().

Here is the call graph for this function:

## ◆ deleteAllSubnets6()

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteAllSubnets6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector )
| virtual

Deletes all subnets.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.

Returns
  Number of deleted subnets.

Definition at line 395 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteAllSubnets6().

Here is the call graph for this function:

## ◆ deleteClientClass6()

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteClientClass6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const std::string & | name )
| virtual

Deletes DHCPv6 client class.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  name | Name of the class to be deleted.

Returns
  Number of deleted client classes.

Definition at line 532 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteClientClass6().

Here is the call graph for this function:

## ◆ deleteGlobalParameter6()

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteGlobalParameter6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const std::string & | name )
| virtual

Deletes global parameter.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  name | Name of the global parameter to be deleted.

Returns
  Number of deleted global parameters.

Definition at line 515 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteGlobalParameter6().

Here is the call graph for this function:

## ◆ deleteOption6() [1/5]

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteOption6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const asiolink::IOAddress & | pd_pool_prefix,
|  | const uint8_t | pd_pool_prefix_length,
|  | const uint16_t | code,
|  | const std::string & | space,
|  | const ClientClassesPtr | client_classes = ClientClassesPtr() )
| virtual

Deletes prefix delegation pool level option.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  pd_pool_prefix | Address part of the prefix of the prefix delegation pool to which the deleted option belongs.
  pd_pool_prefix_length | Prefix length of the prefix delegation pool to which the deleted option belongs.
  code | Code of the deleted option.
  space | Option space of the deleted option.
  client_classes | Optional client classes list of the option to be deleted. Defaults to an empty pointer.

Returns
  Number of deleted options.

Definition at line 500 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteOption6().

Here is the call graph for this function:

## ◆ deleteOption6() [2/5]

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteOption6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const asiolink::IOAddress & | pool_start_address,
|  | const asiolink::IOAddress & | pool_end_address,
|  | const uint16_t | code,
|  | const std::string & | space,
|  | const ClientClassesPtr | client_classes = ClientClassesPtr() )
| virtual

Deletes pool level option.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  pool_start_address | Lower bound address of the pool to which deleted option belongs.
  pool_end_address | Upper bound address of the pool to which the deleted option belongs.
  code | Code of the deleted option.
  space | Option space of the deleted option.
  client_classes | Optional client classes list of the option to be deleted. Defaults to an empty pointer.

Returns
  Number of deleted options.

Definition at line 485 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteOption6().

Here is the call graph for this function:

## ◆ deleteOption6() [3/5]

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteOption6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const std::string & | shared_network_name,
|  | const uint16_t | code,
|  | const std::string & | space,
|  | const ClientClassesPtr | client_classes = ClientClassesPtr() )
| virtual

Deletes shared network level option.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  shared_network_name | Name of the shared network which option belongs to.
  code | Code of the option to be deleted.
  space | Option space of the option to be deleted.
  client_classes | Optional client classes list of the option to be deleted. Defaults to an empty pointer.

Returns
  Number of deleted options.

Definition at line 457 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteOption6().

Here is the call graph for this function:

## ◆ deleteOption6() [4/5]

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteOption6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const SubnetID & | subnet_id,
|  | const uint16_t | code,
|  | const std::string & | space,
|  | const ClientClassesPtr | client_classes = ClientClassesPtr() )
| virtual

Deletes subnet level option.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  subnet_id | Identifier of the subnet to which deleted option belongs.
  code | Code of the deleted option.
  space | Option space of the deleted option.
  client_classes | Optional client classes list of the option to be deleted. Defaults to an empty pointer.

Returns
  Number of deleted options.

Definition at line 471 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteOption6().

Here is the call graph for this function:

## ◆ deleteOption6() [5/5]

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteOption6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const uint16_t | code,
|  | const std::string & | space,
|  | const ClientClassesPtr | client_classes = ClientClassesPtr() )
| virtual

Deletes global option.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  code | Code of the option to be deleted.
  space | Option space of the option to be deleted.
  client_classes | Optional client classes list of the option to be deleted. Defaults to an empty pointer.

Returns
  Number of deleted options.

Definition at line 445 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteOption6().

Here is the call graph for this function:

## ◆ deleteOptionDef6()

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteOptionDef6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const uint16_t | code,
|  | const std::string & | space,
|  | bool | force = false )
| virtual

Deletes option definition.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  code | Code of the option to be deleted.
  space | Option space of the option to be deleted.
  force | When true, delete is done without checking for dependent options. Defaults to false.

Returns
  Number of deleted option definitions.

Definition at line 427 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteOptionDef6().

Here is the call graph for this function:

## ◆ deleteServer6()

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteServer6 | ( | const db::BackendSelector & | backend_selector,
|  | const data::ServerTag & | server_tag )
| virtual

Deletes a server from the backend.

Parameters

  backend_selector | Backend selector.
  server_tag | Tag of the server to be deleted.

Returns
  Number of deleted servers.

Definition at line 548 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteBackendProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteServer6().

Here is the call graph for this function:

## ◆ deleteSharedNetwork6()

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteSharedNetwork6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const std::string & | name )
| virtual

Deletes shared network by name.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  name | Name of the shared network to be deleted.

Returns
  Number of deleted shared networks.

Definition at line 411 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteSharedNetwork6().

Here is the call graph for this function:

## ◆ deleteSharedNetworkSubnets6()

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteSharedNetworkSubnets6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const std::string & | shared_network_name )
| virtual

Deletes all subnets belonging to a specified shared network.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  shared_network_name | Name of the shared network for which the subnets should be deleted.

Returns
  Number of deleted subnets.

Definition at line 402 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteSharedNetworkSubnets6().

Here is the call graph for this function:

## ◆ deleteSubnet6() [1/2]

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteSubnet6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const std::string & | subnet_prefix )
| virtual

Deletes subnet by prefix.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  subnet_prefix | Prefix of the subnet to be deleted.

Returns
  Number of deleted subnets.

Definition at line 377 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteSubnet6().

Here is the call graph for this function:

## ◆ deleteSubnet6() [2/2]

uint64_t isc::dhcp::ConfigBackendPoolDHCPv6::deleteSubnet6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const SubnetID & | subnet_id )
| virtual

Deletes subnet by identifier.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  subnet_id | Identifier of the subnet to be deleted.

Returns
  Number of deleted subnets.

Definition at line 386 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::createUpdateDeleteProperty(), and isc::dhcp::ConfigBackendDHCPv6::deleteSubnet6().

Here is the call graph for this function:

## ◆ getAllClientClasses6()

ClientClassDictionary isc::dhcp::ConfigBackendPoolDHCPv6::getAllClientClasses6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector ) const
| virtual

Retrieves all client classes.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.

Returns
  Collection of client classes.

Definition at line 216 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getAllClientClasses6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getAllPropertiesConst().

Here is the call graph for this function:

## ◆ getAllGlobalParameters6()

StampedValueCollection isc::dhcp::ConfigBackendPoolDHCPv6::getAllGlobalParameters6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector ) const
| virtual

Retrieves all global parameters.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.

Definition at line 183 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getAllGlobalParameters6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getAllPropertiesConst().

Here is the call graph for this function:

## ◆ getAllOptionDefs6()

OptionDefContainer isc::dhcp::ConfigBackendPoolDHCPv6::getAllOptionDefs6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector ) const
| virtual

Retrieves all option definitions.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.

Returns
  Collection of option definitions or empty collection if no option definition found.

Definition at line 117 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getAllOptionDefs6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getAllPropertiesConst().

Here is the call graph for this function:

## ◆ getAllOptions6()

OptionContainer isc::dhcp::ConfigBackendPoolDHCPv6::getAllOptions6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector ) const
| virtual

Retrieves all global options.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.

Returns
  Collection of global options or empty collection if no option found.

Definition at line 151 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getAllOptions6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getAllPropertiesConst().

Here is the call graph for this function:

## ◆ getAllServers6()

ServerCollection isc::dhcp::ConfigBackendPoolDHCPv6::getAllServers6 | ( | const db::BackendSelector & | backend_selector | ) | const
| virtual

Retrieves all servers from the particular backend.

This method returns the list of servers excluding the logical server 'all'.

Parameters

  backend_selector | Backend selector.

Returns
  Collection of servers from the backend.

Definition at line 251 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getAllBackendPropertiesConst(), and isc::dhcp::ConfigBackendDHCPv6::getAllServers6().

Here is the call graph for this function:

## ◆ getAllSharedNetworks6()

SharedNetwork6Collection isc::dhcp::ConfigBackendPoolDHCPv6::getAllSharedNetworks6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector ) const
| virtual

Retrieves all shared networks.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.

Returns
  Collection of shared network or empty collection if no shared network found.

Definition at line 83 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getAllPropertiesConst(), and isc::dhcp::ConfigBackendDHCPv6::getAllSharedNetworks6().

Here is the call graph for this function:

## ◆ getAllSubnets6()

Subnet6Collection isc::dhcp::ConfigBackendPoolDHCPv6::getAllSubnets6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector ) const
| virtual

Retrieves all subnets.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.

Returns
  Collection of subnets or empty collection if no subnet found.

Definition at line 40 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getAllPropertiesConst(), and isc::dhcp::ConfigBackendDHCPv6::getAllSubnets6().

Here is the call graph for this function:

## ◆ getClientClass6()

ClientClassDefPtr isc::dhcp::ConfigBackendPoolDHCPv6::getClientClass6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const std::string & | name ) const
| virtual

Retrieves a client class by name.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  name | Client class name.

Returns
  Pointer to the retrieved client class.

Definition at line 205 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getClientClass6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getPropertyPtrConst().

Here is the call graph for this function:

## ◆ getGlobalParameter6()

StampedValuePtr isc::dhcp::ConfigBackendPoolDHCPv6::getGlobalParameter6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const std::string & | name ) const
| virtual

Retrieves global parameter value.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  name | Name of the global parameter to be retrieved.

Returns
  Value of the global parameter.

Definition at line 172 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getGlobalParameter6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getPropertyPtrConst().

Here is the call graph for this function:

## ◆ getModifiedClientClasses6()

ClientClassDictionary isc::dhcp::ConfigBackendPoolDHCPv6::getModifiedClientClasses6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const boost::posix_time::ptime & | modification_time ) const
| virtual

Retrieves client classes modified after specified time.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  modification_time | Modification time.

Returns
  Collection of client classes.

Definition at line 227 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getModifiedClientClasses6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getMultiplePropertiesConst().

Here is the call graph for this function:

## ◆ getModifiedGlobalParameters6()

StampedValueCollection isc::dhcp::ConfigBackendPoolDHCPv6::getModifiedGlobalParameters6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const boost::posix_time::ptime & | modification_time ) const
| virtual

Retrieves global parameters modified after specified time.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  modification_time | Lower bound subnet modification time.

Returns
  Collection of modified global parameters.

Definition at line 193 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getModifiedGlobalParameters6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getMultiplePropertiesConst().

Here is the call graph for this function:

## ◆ getModifiedOptionDefs6()

OptionDefContainer isc::dhcp::ConfigBackendPoolDHCPv6::getModifiedOptionDefs6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const boost::posix_time::ptime & | modification_time ) const
| virtual

Retrieves option definitions modified after specified time.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  modification_time | Lower bound option definition modification time.

Returns
  Collection of option definitions or empty collection if no option definition found.

Definition at line 127 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getModifiedOptionDefs6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getMultiplePropertiesConst().

Here is the call graph for this function:

## ◆ getModifiedOptions6()

OptionContainer isc::dhcp::ConfigBackendPoolDHCPv6::getModifiedOptions6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const boost::posix_time::ptime & | modification_time ) const
| virtual

Retrieves option modified after specified time.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  modification_time | Lower bound option modification time.

Returns
  Collection of global options or empty collection if no option found.

Definition at line 161 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getModifiedOptions6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getMultiplePropertiesConst().

Here is the call graph for this function:

## ◆ getModifiedSharedNetworks6()

SharedNetwork6Collection isc::dhcp::ConfigBackendPoolDHCPv6::getModifiedSharedNetworks6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const boost::posix_time::ptime & | modification_time ) const
| virtual

Retrieves shared networks modified after specified time.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  modification_time | Lower bound shared network modification time.

Returns
  Collection of shared network or empty collection if no shared network found.

Definition at line 93 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getModifiedSharedNetworks6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getMultiplePropertiesConst().

Here is the call graph for this function:

## ◆ getModifiedSubnets6()

Subnet6Collection isc::dhcp::ConfigBackendPoolDHCPv6::getModifiedSubnets6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const boost::posix_time::ptime & | modification_time ) const
| virtual

Retrieves subnets modified after specified time.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  modification_time | Lower bound subnet modification time.

Returns
  Collection of subnets or empty collection if no subnet found.

Definition at line 50 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getModifiedSubnets6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getMultiplePropertiesConst().

Here is the call graph for this function:

## ◆ getOption6()

OptionDescriptorPtr isc::dhcp::ConfigBackendPoolDHCPv6::getOption6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const uint16_t | code,
|  | const std::string & | space,
|  | const ClientClassesPtr | client_classes = ClientClassesPtr() ) const
| virtual

Retrieves single option by code and space.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  code | Option code.
  space | Option space.
  client_classes | Optional client classes list of the option to be deleted. Defaults to an empty pointer.

Returns
  Pointer to the retrieved option descriptor or null if no option was found.

Definition at line 138 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getOption6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getPropertyPtrConst().

Here is the call graph for this function:

## ◆ getOptionDef6()

OptionDefinitionPtr isc::dhcp::ConfigBackendPoolDHCPv6::getOptionDef6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const uint16_t | code,
|  | const std::string & | space ) const
| virtual

Retrieves single option definition by code and space.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  code | Code of the option to be retrieved.
  space | Option space of the option to be retrieved.

Returns
  Pointer to the option definition or NULL if not found.

Definition at line 105 of file config_backend_pool_dhcp6.cc.

References isc::dhcp::ConfigBackendDHCPv6::getOptionDef6(), and isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getPropertyPtrConst().

Here is the call graph for this function:

## ◆ getRecentAuditEntries()

AuditEntryCollection isc::dhcp::ConfigBackendPoolDHCPv6::getRecentAuditEntries | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const boost::posix_time::ptime & | modification_time,
|  | const uint64_t & | modification_id ) const
| virtual

Retrieves the most recent audit entries.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  modification_time | Timestamp being a lower limit for the returned result set, i.e. entries later than specified time are returned.
  modification_id | Identifier being a lower limit for the returned result set, used when two (or more) entries have the same modification_time.

Returns
  Collection of audit entries.

Definition at line 238 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getMultiplePropertiesConst(), and isc::dhcp::ConfigBackendDHCPv6::getRecentAuditEntries().

Here is the call graph for this function:

## ◆ getServer6()

ServerPtr isc::dhcp::ConfigBackendPoolDHCPv6::getServer6 | ( | const db::BackendSelector & | backend_selector,
|  | const data::ServerTag & | server_tag ) const
| virtual

Retrieves a server from the particular backend.

Parameters

  backend_selector | Backend selector.
  server_tag | Tag of the server to be retrieved.

Returns
  Pointer to the server instance or null pointer if no server with the particular tag was found.

Definition at line 259 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getBackendPropertyPtrConst(), and isc::dhcp::ConfigBackendDHCPv6::getServer6().

Here is the call graph for this function:

## ◆ getSharedNetwork6()

SharedNetwork6Ptr isc::dhcp::ConfigBackendPoolDHCPv6::getSharedNetwork6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const std::string & | name ) const
| virtual

Retrieves shared network by name.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  name | Name of the shared network to be retrieved.

Returns
  Pointer to the shared network or NULL if not found.

Definition at line 72 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getPropertyPtrConst(), and isc::dhcp::ConfigBackendDHCPv6::getSharedNetwork6().

Here is the call graph for this function:

## ◆ getSharedNetworkSubnets6()

Subnet6Collection isc::dhcp::ConfigBackendPoolDHCPv6::getSharedNetworkSubnets6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const std::string & | shared_network_name ) const
| virtual

Retrieves all subnets belonging to a specified shared network.

Note
  : Returning a Subnet6Collection instead of a Subnet6SimpleCollection can be considered as overkilling but makes this code far simpler.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  shared_network_name | Name of the shared network for which the subnets should be retrieved.

Returns
  Collection of subnets or empty collection if no subnet found.

Definition at line 61 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getMultiplePropertiesConst(), and isc::dhcp::ConfigBackendDHCPv6::getSharedNetworkSubnets6().

Here is the call graph for this function:

## ◆ getSubnet6() [1/2]

Subnet6Ptr isc::dhcp::ConfigBackendPoolDHCPv6::getSubnet6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const std::string & | subnet_prefix ) const
| virtual

Retrieves a single subnet by subnet_prefix.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  subnet_prefix | Prefix of the subnet to be retrieved.

Returns
  Pointer to the retrieved subnet or NULL if not found.

Definition at line 18 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getPropertyPtrConst(), and isc::dhcp::ConfigBackendDHCPv6::getSubnet6().

Here is the call graph for this function:

## ◆ getSubnet6() [2/2]

Subnet6Ptr isc::dhcp::ConfigBackendPoolDHCPv6::getSubnet6 | ( | const db::BackendSelector & | backend_selector,
|  | const db::ServerSelector & | server_selector,
|  | const SubnetID & | subnet_id ) const
| virtual

Retrieves a single subnet by subnet identifier.

Parameters

  backend_selector | Backend selector.
  server_selector | Server selector.
  subnet_id | Identifier of a subnet to be retrieved.

Returns
  Pointer to the retrieved subnet or NULL if not found.

Definition at line 29 of file config_backend_pool_dhcp6.cc.

References isc::cb::BaseConfigBackendPool< ConfigBackendDHCPv6 >::getPropertyPtrConst(), and isc::dhcp::ConfigBackendDHCPv6::getSubnet6().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- config_backend_pool_dhcp6.h
- config_backend_pool_dhcp6.cc